<?php

namespace App\Generated\V1\Messages\Partner;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;
use App\Generated\V1\Enums\PartnerThumb;

class ThumbPartnerMessage extends Message
{
    use ValueHelper;

    protected $partnerId;
    protected $thumb;
    protected $result;

    /**
     * 卡片id
     * @return int
     */
    public function getPartnerId()
    {
        return $this->partnerId;
    }

    /**
     * 点赞与否
     * @return mixed
     */
    public function getThumb()
    {
        return $this->thumb;
    }

    public function requestRules()
    {
        return [
            ['partnerId', 'partner_id', 'bail|integer', Constants::INTEGER, null],
            ['thumb', 'thumb', PartnerThumb::class, Constants::ENUM, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['result', 'result', 'bail', null, null],
        ];
    }

    public function setResponse($result)
    {
        $this->result = $result;
    }

}
